/*
 * MUI_main.c
 *
 */

#include <string.h>

void monitorPressure()
{
 MUIpsGetMeasure();
 MUIlogInformation();
 MUIlogError("Monitoring");
 return;
}


void checkReaderCommand()
{
 MUIrdDetect();
 MUIrdConnect();
 MUIrdProcessCommand();
}


void startMonitoring()
{
  int index=0;
  MUIconfRead();
  MUIresetTimer();
  MUIpsCalibrate();
  MUIpsSetAccuracy();
  MUIpsSelfcheck();
  MUIrdConfigure();
  MUIlogInformation();
  MUIsetTimer();
  while (index<4)
  {
	  monitorPressure();
	  MUIpsDetectLeak();
	  checkReaderCommand();
	  MUIwakeUp();
	  index++;
  }
}

int main()
{
  MUIbtReset();
  MUIlogInformation();
  startMonitoring();
  return(0);
}


