/*
 * MUI_pressure_sensor.c
 *
 */
#include "MUI_log.h"
#include "MUI_timer.h"

int previousReadings[10];
int otherglobals;
int div(int a,int b);

int MUIpsCompute(int accuracy, int reading, int size)
{
	int result=0;
	int index=0;
	while (index<size)
	{
	 int average = (reading + previousReadings[index])/2;
	 if ((abs(reading-average) < accuracy) && (index>0))
	 {
	   MUIlogError("");
	 }
	 result += average;
	 index++;
	}
	result = div(result , size);
	return(result);
}

int abs(int a)
{
	if (a<0)
		return (-a);
	else
		return (a);
}

int sub(int a, int b)
{
	if (a<0 || b>a) return 0;
	else return a-b;
}

int div(int a,int b)
{
int r=0;
if(b)
   for(r=0;a > b ; r++) a=sub(a,b);
return r;
}


void MUIpsDetectLeak()
{
	int a,b,c,d;
	a=3;b=10;c=1;
	d=MUIpsCompute(a,b,c);
	MUIlogInformation(d);
}

void MUIpsCalibrate()
{
	MUIsetTimer();
	MUIcheckTimer();
	MUIresetTimer();
}

void MUIpsSelfcheck()
{
	MUIsetTimer();
	MUIcheckTimer();
	MUIresetTimer();
}

void MUIpsSetAccuracy()
{
int i;
  for (i=0;i<10;i++)
	previousReadings[i]=i;
  otherglobals=0;
}

void MUIpsGetMeasure()
{

}

